import { EventEmitter } from '../../stencil-public-runtime';
export declare class NutsPopover {
    /**
     * Language code of the content
     */
    language: string;
    /**
     * Unique ID of the user receiving notifications
     */
    userId: string;
    /**
     * Unique ID of the operator domain
     */
    operatorId: string;
    /**
     * Token used to authenticate notification transactions
     */
    token: string;
    /**
     * The sessionID of the user
     */
    sessionId: string;
    /**
     * Endpoint used for notification transactions
     */
    backendUrl: string;
    /**
     * The count of unseen notifications
     */
    unseenCount: number;
    /**
     * Custom styling URL
     */
    clientStylingUrl: string;
    /**
     * Decides the behaviour of the notification onClick
     */
    notificationAction: string;
    /**
     * Custom styling string
     */
    clientStyling: string;
    /**
     * Translations via URL
     */
    translationUrl: string;
    private notifications;
    private isLoading;
    private isNotificationsLoading;
    private showMarkAll;
    private limitStylingAppends;
    private showDeleteAllPopup;
    private hasMore;
    private currentPage;
    private stylingContainer;
    private dropdownRef;
    private baseUrl;
    allNotificationsRead: EventEmitter<any>;
    allMessagesDeteled: EventEmitter<any>;
    closePopoverEmmiter: EventEmitter<any>;
    messageDeletedHandler(event: CustomEvent<any>): void;
    messageReadHandler(event: CustomEvent<any>): void;
    clickOutsideHandle(ev: MouseEvent): void;
    unseenCountHandler(newValue: number): void;
    handleStylingChange(newValue: string, oldValue: string): void;
    handleStylingUrlChange(newValue: string, oldValue: string): void;
    handleNewTranslations(): void;
    componentWillLoad(): Promise<void>;
    componentDidRender(): void;
    triggerGetNotifications(): Promise<void>;
    nextPage: () => Promise<void>;
    prevPage: () => Promise<void>;
    setClientStyling: () => void;
    setClientStylingURL: () => void;
    connectedCallback(): void;
    markAllNotificationsAsRead: () => Promise<void>;
    deleteAllNotifications: () => Promise<void>;
    closePopover: () => void;
    showDeletePopup: () => void;
    assignRefToStylingContainer: (ref: HTMLElement) => void;
    render(): any;
}
